import request from '@/utils/request'

// 获取我的运单列表
export function getWaybill(parameter) {
  return request({
    url: '/api/waybill/customer',
    method: 'get',
    params: parameter
  })
}
// 获取我的运单详情
export function getWaybillDetails(parameter) {
  return request({
    url: '/api/waybill/' + parameter,
    method: 'get',
  })
}

// 添加我的运单
export function addWaybill(parameter) {
  return request({
    url: '/api/waybill/customer',
    method: 'post',
    data: parameter
  })
}

// 编辑我的运单
export function putWaybill(parameter) {
  return request({
    url: '/api/waybill/customer',
    method: 'put',
    data: parameter
  })
}

// 删除我的运单
export function delWaybill(parameter) {
  return request({
    url: '/api/waybill/customer',
    method: 'delete',
    data: parameter
  })
}
